Package org.opensaml.soap.wstrust.impl

# Class ValidateTargetImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.ValidateTargetImpl

All Implemented Interfaces:
  `XMLObject`, `ValidateTarget`, `WSTrustObject`

public class ValidateTargetImpl extends AbstractWSTrustObject implements ValidateTarget
ValidateTargetImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObject`
`unknownChild`
Wildcard child element.

### Fields inherited from interface org.opensaml.soap.wstrust.ValidateTarget

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ValidateTargetImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`XMLObject`
`getUnknownXMLObject()`
Get the unknown child element.
`void`
`setUnknownXMLObject(XMLObject unknownObject)`
Set the unknown child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### unknownChild

@Nullable private XMLObject unknownChild
Wildcard child element.

## Constructor Details

### ValidateTargetImpl

public ValidateTargetImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getUnknownXMLObject

@Nullable public XMLObject getUnknownXMLObject()
Get the unknown child element.

Specified by:
  `getUnknownXMLObject` in interface `ValidateTarget`
Returns:
  the child element

### setUnknownXMLObject

public void setUnknownXMLObject(@Nullable XMLObject unknownObject)
Set the unknown child element.

Specified by:
  `setUnknownXMLObject` in interface `ValidateTarget`
Parameters:
  `unknownObject` - the new child element

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements